summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/installmisc.sh19
-rw-r--r--source4/script/installswat.sh6
2 files changed, 19 insertions, 6 deletions
diff --git a/source4/script/installmisc.sh b/source4/script/installmisc.sh
new file mode 100755
index 0000000000..580dc855d4
--- /dev/null
+++ b/source4/script/installmisc.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+# install miscellaneous files
+
+SRCDIR=$1
+LIBDIR=$2
+
+cd $SRCDIR || exit 1
+
+echo "Installing js libs"
+mkdir -p $LIBDIR/js || exit 1
+cp scripting/libjs/*.js $LIBDIR/js || exit 1
+
+echo "Installing setup templates"
+mkdir -p $LIBDIR/setup || exit 1
+cp setup/*.ldif $LIBDIR/setup || exit 1
+cp setup/*.zone $LIBDIR/setup || exit 1
+cp setup/*.conf $LIBDIR/setup || exit 1
+
+exit 0
diff --git a/source4/script/installswat.sh b/source4/script/installswat.sh
index 05245d8f06..f3a0ceb258 100644
--- a/source4/script/installswat.sh
+++ b/source4/script/installswat.sh
@@ -27,12 +27,6 @@ installdir scripting/*.ejs scripting/*.esp scripting/*.js
installdir style/*.css
installdir docs/*.js
-
-echo "Installing js libs"
-cd ../source/scripting || exit 1
-mkdir -p $LIBDIR/js
-cp libjs/*.js $LIBDIR/js
-
cat << EOF
======================================================================
The swat files have been installed.